# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "squish-core"
version = "0.3.4"
build = false
exclude = ["tests/**"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core image compression library for squish"
homepage = "https://github.com/MikeDre/squish"
readme = "README.md"
keywords = [
    "image",
    "compression",
    "cli",
    "optimise",
    "jpg",
]
categories = [
    "command-line-utilities",
    "multimedia::images",
]
license = "MIT"
repository = "https://github.com/MikeDre/squish"

[lib]
name = "squish_core"
path = "src/lib.rs"

[dependencies.image]
version = "0.25"
features = [
    "png",
    "jpeg",
    "webp",
    "avif",
    "avif-native",
    "tiff",
    "gif",
]
default-features = false

[dependencies.imagequant]
version = "4"

[dependencies.libheif-rs]
version = "1.0"

[dependencies.mozjpeg]
version = "0.10"

[dependencies.oxipng]
version = "9"
features = ["parallel"]
default-features = false

[dependencies.oxvg]
version = "=0.0.5"

[dependencies.oxvg_ast]
version = "=0.0.5"

[dependencies.oxvg_optimiser]
version = "=0.0.5"

[dependencies.ravif]
version = "0.11"

[dependencies.roxmltree]
version = "0.20"

[dependencies.thiserror]
version = "1.0"

[dependencies.webp]
version = "0.3"

[dev-dependencies.tempfile]
version = "3"
